Devices Query
Security is implemented for this end point. Please see the Introduction page for details on how to implement this as the query will generate an error otherwise.
GET https://api.illumience.com/v2/devices
Headers
| Name | Type | Description |
| apikey* | String | The apikey provided to access your customer data |
200: OK Authenticated, query accepted
401: Unauthorized Authentication failure. Check your apikey and header configuration
500: Internal Server Error Unknown server error
Example Response
Status 200
{
[
{
"mac": "string",
"nickname": "string",
"date": "string",
"time": "string",
"batteryVoltage": 0.00,
"batteryCurrent": 0.00,
"batteryTemperatureC": 0.00,
"solar1Voltage": 0.00,
"solar1Current": 0.00,
"solar2Voltage": 0.00,
"solar2Current": 0.00,
"port3Voltage": 0.00,
"port3Current": 0.00,
"load1Voltage": 0.00,
"load1Current": 0.00,
"load2Voltage": 0.00,
"load2Current": 0.00,
"faults": [
"none",
"lowVoltageDisconnectLoad1",
"lowVoltageReconnectLoad1",
"lowVoltageDisconnectLoad2",
"lowVoltageReconnectLoad2",
"shortCircuitPort3",
"shortCircuitLoad1",
"shortCircuitLoad2"
],
"enabled": [
"none",
"p1",
"p2",
"p3",
"l1",
"l2"
]
}
]
}
Field Descriptions
| Field | Description |
|---|
| mac | The MAC address for the respective device |
| nickname | The nickname of the device, configured by the customer |
| date | Date of last transmit to the cloud, format YYYY/MM/DD |
| time | Time of last transmit to the cloud, format HH:MM:SS |
| batteryVoltage | Port reading, averaged usually over 5 minutes |
| batteryCurrent | Port reading, averaged usually over 5 minutes |
| batteryTemperature | Port reading, averaged usually over 5 minutes |
| solar1Voltage | Port reading, averaged usually over 5 minutes |
| solar1Currrent | Port reading, averaged usually over 5 minutes |
| solar2Voltage | Port reading, averaged usually over 5 minutes |
| solar2Current | Port reading, averaged usually over 5 minutes |
| port3Voltage | Port reading, averaged usually over 5 minutes |
| port3Current | Port reading, averaged usually over 5 minutes |
| load1Voltage | Port reading, averaged usually over 5 minutes |
| load1Current | Port reading, averaged usually over 5 minutes |
| load2Voltage | Port reading, averaged usually over 5 minutes |
| load2Current | Port reading, averaged usually over 5 minutes |
| faults | Array of faults (see below) |
| enabled | Array of port names that are enabled (see below) |
Faults
| Fault | Description |
| none | No faults detected at this time |
| lowVoltageDisconnectLoad1 | Load 1 disabled due to low voltage |
| lowVoltageReconnectLoad1 | Load 1 disabled, but currently in a recovery stage |
| lowVoltageDisconnectLoad2 | Load 2 disabled due to low voltage |
| lowVoltageReconnectLoad2 | Load 2 disabled, but currently in a recovery stage |
| shortCircuitPort3 | Port 3 disabled due to a short circuit |
| shortCircuitLoad1 | Load 1 disabled due to a short circuit |
| shortCircuitLoad2 | Load 2 disabled due to a short circuit |
Enabled
| Port Name | Description |
| p1 | Port 1, or Solar 1 |
| p2 | Port 2, or Solar 2 |
| p3 | Port 3 - I/O port |
| L1 | Load 1 |
| L2 | Load 2 |